Bug 1754654 - Review Request: nodejs-async-lock - Lock on asynchronous code [NEEDINFO]
Summary: Review Request: nodejs-async-lock - Lock on asynchronous code
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2019-09-23 20:02 UTC by Jared Smith
Modified: 2020-06-14 07:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
zebob.m: fedora-review+
mattia.verga: needinfo? (jsmith.fedora)


Attachments (Terms of Use)

Description Jared Smith 2019-09-23 20:02:13 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-async-lock/nodejs-async-lock.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-async-lock/nodejs-async-lock-1.2.2-1.fc31.src.rpm
Description: Lock on asynchronous code
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 🐧 2019-09-27 13:58:36 UTC
 - It would be nice to use %bcond_with/%bcond_without to enable/disable tests

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 7 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/nodejs-async-lock/review-nodejs-async-
     lock/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-async-lock-1.2.2-1.fc32.noarch.rpm
          nodejs-async-lock-1.2.2-1.fc32.src.rpm
nodejs-async-lock.noarch: W: only-non-binary-in-usr-lib
nodejs-async-lock.src: W: strange-permission dl-tests.sh 775
nodejs-async-lock.src: W: invalid-url Source1: tests-1.2.2

Comment 2 Jared Smith 2019-10-08 12:55:04 UTC
Repo requested at .

Comment 3 Jared Smith 2019-10-08 12:56:26 UTC
Repo requested at fedpkg --module-name nodejs-async-lock request-repo 1754654 -d 'Lock on asynchronous code' -m monitoring-with-scratch --upstreamurl https://github.com/rogierschouten/async-lock.

Comment 4 Gwyn Ciesla 2019-10-08 13:29:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-async-lock

Comment 5 Mattia Verga 2020-06-14 07:57:56 UTC
This package was approved but never imported. Are you still interested in getting it into Fedora repositories?


Note You need to log in before you can comment on or make changes to this bug.